Package ghidra.app.decompiler.component

# Class DecompilerCallbackHandlerAdapter

java.lang.Object
ghidra.app.decompiler.component.DecompilerCallbackHandlerAdapter

All Implemented Interfaces:
  `DecompilerCallbackHandler`

public class DecompilerCallbackHandlerAdapter extends Object implements DecompilerCallbackHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecompilerCallbackHandlerAdapter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `annotationClicked(AnnotatedTextFieldElement annotation, boolean newWindow)`
  `void`
  `contextChanged()`
  `void`
  `decompileDataChanged(DecompileData decompileData)`
  `void`
  `doWhenNotBusy(Callback c)`
  `void`
  `exportLocation()`
  `void`
  `goToAddress(Address addr, boolean newWindow)`
  `void`
  `goToFunction(Function function, boolean newWindow)`
  `void`
  `goToLabel(String labelName, boolean newWindow)`
  `void`
  `goToScalar(long value, boolean newWindow)`
  `void`
  `locationChanged(ProgramLocation programLocation)`
  `void`
  `selectionChanged(ProgramSelection programSelection)`
  `void`
  `setStatusMessage(String message)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecompilerCallbackHandlerAdapter

    public DecompilerCallbackHandlerAdapter()

- ## Method Details

  - ### decompileDataChanged

    public void decompileDataChanged(DecompileData decompileData)
    Specified by:
      `decompileDataChanged` in interface `DecompilerCallbackHandler`

  - ### contextChanged

    public void contextChanged()
    Specified by:
      `contextChanged` in interface `DecompilerCallbackHandler`

  - ### setStatusMessage

    public void setStatusMessage(String message)
    Specified by:
      `setStatusMessage` in interface `DecompilerCallbackHandler`

  - ### locationChanged

    public void locationChanged(ProgramLocation programLocation)
    Specified by:
      `locationChanged` in interface `DecompilerCallbackHandler`

  - ### selectionChanged

    public void selectionChanged(ProgramSelection programSelection)
    Specified by:
      `selectionChanged` in interface `DecompilerCallbackHandler`

  - ### annotationClicked

    public void annotationClicked(AnnotatedTextFieldElement annotation, boolean newWindow)
    Specified by:
      `annotationClicked` in interface `DecompilerCallbackHandler`

  - ### goToLabel

    public void goToLabel(String labelName, boolean newWindow)
    Specified by:
      `goToLabel` in interface `DecompilerCallbackHandler`

  - ### goToAddress

    public void goToAddress(Address addr, boolean newWindow)
    Specified by:
      `goToAddress` in interface `DecompilerCallbackHandler`

  - ### goToScalar

    public void goToScalar(long value, boolean newWindow)
    Specified by:
      `goToScalar` in interface `DecompilerCallbackHandler`

  - ### exportLocation

    public void exportLocation()
    Specified by:
      `exportLocation` in interface `DecompilerCallbackHandler`

  - ### goToFunction

    public void goToFunction(Function function, boolean newWindow)
    Specified by:
      `goToFunction` in interface `DecompilerCallbackHandler`

  - ### doWhenNotBusy

    public void doWhenNotBusy(Callback c)
    Specified by:
      `doWhenNotBusy` in interface `DecompilerCallbackHandler`